Bug 7853 - Atheros AR8161/8165 PCI-E Gigabit Ethernet Controller not found !
: Atheros AR8161/8165 PCI-E Gigabit Ethernet Controller not found !
Status: RESOLVED FIXED
Product: Mageia
Classification: Unclassified
Component: Release (media or process)
: 2
: All Linux
: Normal Severity: critical
: ---
Assigned To: Thomas Backlund
:
:
:
:
: 8068
:
  Show dependency treegraph
 
Reported: 2012-10-20 23:57 CEST by Adrien D
Modified: 2013-01-18 01:54 CET (History)
2 users (show)

See Also:
Source RPM: kernel
CVE:
Status comment:


Attachments
lspci -v (3.35 KB, text/plain)
2012-10-21 00:24 CEST, Adrien D
Details
cat /etc/issue* (141 bytes, text/plain)
2012-10-21 00:25 CEST, Adrien D
Details

Description Adrien D 2012-10-20 23:57:02 CEST
Hi team Mageia,

Can integrate into Mageia2's kernel the driver for ethernet cards "AR8161/8165 Atheros PCI-E Gigabit Ethernet Controller"?

Without this driver, it is impossible to use the internet and thus update Mageia or download other drivers.

Installation of kernel-firmware-nonfree-20120421-3.mga2.nonfree.noarch.rpm not solve the problem.

Thanks.
Comment 1 Thomas Backlund 2012-10-20 23:59:23 CEST
Can you attach output of "lspcidrake -v" as root ?
Comment 2 Adrien D 2012-10-21 00:24:40 CEST
Created attachment 2969 [details]
lspci -v
Comment 3 Adrien D 2012-10-21 00:25:06 CEST
Created attachment 2970 [details]
cat /etc/issue*
Comment 4 Adrien D 2012-10-21 00:26:11 CEST
Hi,

thanks for quick answer.

It's not easy to send you output of "lspcidrake -v" when network not work ;)
Comment 5 Thomas Backlund 2012-10-21 01:45:56 CEST
Ok, this needs the new alx driver that is not even merged upstream yet...


I will merge it with the current 3.4 series kernels that sits in updates_testing...

I will ping this report again when it's available for testing
Comment 6 Thomas Backlund 2012-10-22 09:52:26 CEST
There is now a kernel-3.4.15-1.mga2 in core/updates_testing for Mga2

Since you have to download theese with another computer, grab theese:

http://mirrors.kernel.org/mageia/distrib/2/x86_64/media/core/updates_testing/kernel-desktop-3.4.15-1.mga2-1-1.mga2.x86_64.rpm
http://mirrors.kernel.org/mageia/distrib/2/x86_64/media/core/updates_testing/kernel-desktop-devel-3.4.15-1.mga2-1-1.mga2.x86_64.rpm
Comment 7 Adrien D 2012-10-22 10:11:27 CEST
Hi,

I talk from Mageia2.

The kernel work and detect my Atheros Ethernet Card.

[root@localhost adrien]# lspcidrake -v
alx             : Atheros Communications Inc.|Device 1091 [NETWORK_ETHERNET] (vendor:1969 device:1091 subv:1043 subd:1477) (rev: 08)

And ifconfig:

[root@localhost adrien]# ifconfig
eth0      Link encap:Ethernet  HWaddr 10:BF:48:13:F6:CC  
          inet adr:10.4.0.55  Bcast:10.4.255.255  Masque:255.255.0.0
          adr inet6: fe80::12bf:48ff:fe13:f6cc/64 Scope:Lien
          UP BROADCAST RUNNING MULTICAST  MTU:1500  Metric:1
          RX packets:2653 errors:0 dropped:0 overruns:0 frame:0
          TX packets:1567 errors:0 dropped:0 overruns:0 carrier:1
          collisions:0 lg file transmission:1000 
          RX bytes:2497846 (2.3 MiB)  TX bytes:184646 (180.3 KiB)
          Interruption:19 

It's OKAY for me for this kernel.

Moreover, I do not need to "nokmsboot" on kernel option to boot correctly.

Thanks for your reactivity.
Comment 8 Thomas Backlund 2013-01-18 01:54:19 CET
Update pushed:
https://wiki.mageia.org/en/Support/Advisories/MGASA-2013-0010

Note You need to log in before you can comment on or make changes to this bug.